var AppFactory = {

  getPlayer: function() {
    if (!this.player) {
       if ('flash' == AppInfo.videoPluginType()) {
        this.player = new FlashVideoPlayer(window['flashVideoPlayer']);
      } else {
        this.player = new VideoPlayer(getElById('pluginVideo'), {x: 0, y: 0, w: Consts.MAX_X, h: Consts.MAX_Y});
      }
    }
    return this.player;
  },

  getAudio: function() {
    if (!this.audio) {
      this.audio = new AudioControl(getElById('pluginAudio'));
    }
    return this.audio;
  },

  getNNavi: function() {
    return getElById('pluginNNavi');
  },

  getNetwork: function() {
    return getElById('pluginNetwork');
  },

  getTV: function() {
    return getElById('pluginTV');
  },

  getRequestsFactory: function() {
    if (!this.requests) {
      this.requests = new RequestsFactory(Settings.appDomain);
    }
    return this.requests;
  },

  getContentProxy: function() {
    if (!this.contentProxy) {
      this.contentProxy = new ContentLoadProxy(this.getRequestsFactory());
    }
    return this.contentProxy;
  },

  getLocalStorage: function() {
    if (!this.localStorage) {
      this.localStorage = new LocalStorage(curWidget.id+1704, AppInfo.getDeviceId());
    }
    return this.localStorage;
  }
}
