var AppInfo = {
  // TODO: remove. it seems it wouldn't used
  getMap: function() {
    if (!this.info) {
      var pairs = window.location.search.split('&');
      this.info = {};
      for(var i = 0; i < pairs.length; i++) {
        var p = pairs[i].split('=');
        if(2 == p.length) {
          this.info[p[0]] = p[1];
        }
      }
    }
    return this.info;
  },

  getToken: function() {
    return AppFactory.getLocalStorage().get("authToken");
  },

  setToken: function(token) {
    AppFactory.getLocalStorage().set("authToken", token);
  },

  getUserId: function() {
    return AppFactory.getLocalStorage().get("userId");
  },

  setUserId: function(userId) {
    AppFactory.getLocalStorage().set("userId", userId);
  },

  getDeviceId: function() {
    return AppFactory.getNNavi().GetDUID(AppFactory.getNetwork().GetMAC());
  },

  getDeviceType: function() {
    return "smarttv";
  },

  getLogInfo: function() {
    var nnavi = AppFactory.getNNavi();
    var tv = AppFactory.getTV();
    return { model: nnavi.GetModelCode(), remocon: nnavi.GetRemoconType(), firmware: nnavi.GetFirmware(),
             system_leeum: nnavi.GetSystemVersion(0), system_comp: nnavi.GetSystemVersion(1), support_pig: nnavi.GetSupportPIG(),
             product_code_0: tv.GetProductCode(0),
             product_code_1: tv.GetProductCode(1),
             product_type: tv.GetProductType(),
             device_id: this.getDeviceId()};
  },

  isFlashPluginPlatform: function() {
    return (AppFactory.getNNavi().GetFirmware().indexOf('INFOLINK2012') != -1);
  },

  videoPluginType: function() {
    return ('flash' == Settings.videoPlugin || AppInfo.isFlashPluginPlatform()) ? 'flash' : 'samsung';
  },

  streamUrlsPrefix: function() {
    return ('flash' == this.videoPluginType()) ? "rtmp" : "hls";
  }
}
