function AccountScreen(config) {
  Screen.call(this, config);
  this.model = ModelsFactory.getAccount();
}

AccountScreen.inheritsFrom(Screen);

//////////////////////////////////////////////////////////////////


// protected override
AccountScreen.prototype.fill = function(config) {
  var self = this;
  this.model.get({update: true, callback: {scope: self, fn:
    function(account) {
      if (account) {
        self.account = account;
        alert("AccountScreen.fill()  " + objToString(self.account));
        self.display(self.account);
        self.onFillComplete(config.focused);
      }
    }
  }});
}

//////////////////////////////////////////////////////////////////////

// private
AccountScreen.prototype.display = function(account) {
  var html = new EJS({url: 'templates/account.ejs'}).render(account);
  widgetAPI.putInnerHTML(this.rootEl, html);
};


