function ConfirmTokenCodeScreen(config) {
  Screen.call(this, config);

  $(this).bind(Events.NAVI_SELECTION_SET
    , function(event, selectedButton) {
      TVPApp.authorize();
  });
}

ConfirmTokenCodeScreen.inheritsFrom(Screen);

// protected override
ConfirmTokenCodeScreen.prototype.fill = function(config) {
  var content = { code: config.tokenCode
    , header: Locale.t('ConfirmToken.Header')
    , message: Locale.t('ConfirmToken.Message')
    , btRetry: {naviId: 'ConfirmTokenScreen.btRetry', label: Locale.t('ConfirmToken.Retry')}
  };

  var notification = new EJS({url: 'templates/confirmTokenCode.ejs'}).render(content);
  widgetAPI.putInnerHTML(this.rootEl, notification);

  this.setupNavi([[{naviId: 'ConfirmTokenScreen.btRetry'}]]);
  this.setCurEl();

  this.onFillComplete(config.focused);
}
