getElById = function(id) {
  return document.getElementById(id);
}

createEl = function(elType, id) {
  var el = document.createElement(elType);
  id && el.setAttribute("id", id);
  return el;
}

createOrGetEl = function(elType, id) {
  return getElById(id) || createEl(elType, id);
}

addStyleClassToEl = function(styleName, el) {
  $(el.rootEl || getElById(el.naviId) || el).addClass(styleName);
}

removeStyleClassFromEl = function(styleName, el) {
  $(el.rootEl || getElById(el.naviId) || el).removeClass(styleName);
}

getElLastName = function(el) {
  if (!(el && el.id)) {
    return null;
  }
  var matches = el.id.match(/^(\w+\.)*(\w+)$/i);
  return matches && matches[matches.length - 1];
}

// from http://phrogz.net/js/classes/OOPinJS2.html
Function.prototype.inheritsFrom = function( parentClassOrObject ){
  this.prototype = new parentClassOrObject;
  this.prototype.constructor = this;
  this.prototype.parent = parentClassOrObject.prototype;
  return this;
}

fireEvent = function(target, type, info) {
  var e = jQuery.Event(type);
  e.info = info;
  $(target).trigger(e);
}

objToString = function(o) {
  var s = '';
  for(k in o) {
    s = s + "\n" + k + " => " + o[k];
  }
  return s;
}

timeToFormat = function(ms, format) {
  return Date.today().addMilliseconds(ms).toString(format);
}

timestampToFormat = function(ms, format) {
  return new Date(ms).toString(format);
}

// return True if array contains element
arrContains = function(arr, el) {
  return (arr.indexOf(el) != -1);
}

isNum = function(v) {
  return isFinite(Number(v));
}
