var ModelsFactory = {

  getQueue: function() {
    if (!this.queue) {
      this.queue = new Queue(AppFactory.getContentProxy());
    }
    return this.queue;
  },

  getChannels: function() {
    if (!this.channels) {
      this.channels = new Channels(AppFactory.getContentProxy());
    }
    return this.channels;
  },

  getTelecasts: function() {
    if (!this.telecasts) {
      this.telecasts = new Telecasts(AppFactory.getContentProxy());
    }
    return this.telecasts;
  },

  getAccount: function() {
    if (!this.account) {
      this.account = new Account(AppFactory.getContentProxy(), this.getVersion());
    }
    return this.account;
  },

  getVersion: function() {
    if (!this.version) {
      this.version = new Version(AppFactory.getContentProxy());
    }
    return this.version;
  }
}
