function AudioControl(plugin) {
  //see PL_AUDIO_VOLUME_KEY
  this.UP = 0;
  this.DOWN = 1;

  this.plugin = plugin;
  alert("AudioControl.ctor() audio mute " + this.plugin.GetUserMute());
  //TODO: WTF ?!
  this.setMute(this.plugin.GetUserMute());

  // TODO: add plugin callbacks
}

// public
AudioControl.prototype.setVolumeWithDelta = function(delta) {
  this.plugin.SetVolumeWithKey(delta);
  alert("AudioControl.setVolume() " + delta + " => " + this.getVolume());
  this.setMute(false);
  fireEvent(this, Events.VOLUME_CHANGED, this.getVolume());
}

// public
AudioControl.prototype.getVolume = function() {
  return this.plugin.GetVolume();
}

// public
AudioControl.prototype.setMute = function(mute) {
alert("AudioControl.setMute() " + this.mute + ' => ' + mute);
  if (this.mute != mute) {
    this.plugin.SetUserMute(mute ? 1 : 0);
    this.mute = mute;
    fireEvent(this, Events.MUTE_CHANGED, this.mute);
  }
}

// public
AudioControl.prototype.toggleMute = function() {
  this.setMute(!this.getMute());
}

// public
AudioControl.prototype.getMute = function() {
  return this.mute;
}
