function FlashLiveProgressDisplay(config) {
  this.update(config);
}

FlashLiveProgressDisplay.prototype.update = function(config) {
  $.extend(this, config);
}

FlashLiveProgressDisplay.prototype.activate = function(config) {
  this.updateTime(0, 0);
}

FlashLiveProgressDisplay.prototype.deactivate = function() {
  this.updateTime(0, 0);
}

FlashLiveProgressDisplay.prototype.updateTime = function(curTime, duration) {
  var c = timestampToFormat(curTime, 'HH:mm:ss');
  var d = duration ? ('/' + timestampToFormat(duration, ('HH:mm:ss'))): '';
  $(this.timeStatus).text(c + d);
}
